org.springframework.cloud.dataflow.rest.resource.about

## Class FeatureInfo

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.resource.about.FeatureInfo

-     public class FeatureInfo
      extends Object

  Provides features information.
  Author:
    Ilayaperumal Gopinathan, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureInfo()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MonitoringDashboardType` | `getMonitoringDashboardType()`
    `boolean` | `isAnalyticsEnabled()`
    `boolean` | `isSchedulesEnabled()`
    `boolean` | `isStreamsEnabled()`
    `boolean` | `isTasksEnabled()`
    `void` | `setAnalyticsEnabled(boolean analyticsEnabled)`
    `void` | `setMonitoringDashboardType(MonitoringDashboardType monitoringDashboardType)`
    `void` | `setSchedulesEnabled(boolean schedulesEnabled)`
    `void` | `setStreamsEnabled(boolean streamsEnabled)`
    `void` | `setTasksEnabled(boolean tasksEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureInfo

          public FeatureInfo()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### isAnalyticsEnabled

          public boolean isAnalyticsEnabled()

    - #### setAnalyticsEnabled

          public void setAnalyticsEnabled(boolean analyticsEnabled)

    - #### isStreamsEnabled

          public boolean isStreamsEnabled()

    - #### setStreamsEnabled

          public void setStreamsEnabled(boolean streamsEnabled)

    - #### isTasksEnabled

          public boolean isTasksEnabled()

    - #### setTasksEnabled

          public void setTasksEnabled(boolean tasksEnabled)

    - #### isSchedulesEnabled

          public boolean isSchedulesEnabled()

    - #### setSchedulesEnabled

          public void setSchedulesEnabled(boolean schedulesEnabled)

    - #### getMonitoringDashboardType

          public MonitoringDashboardType getMonitoringDashboardType()

    - #### setMonitoringDashboardType

          public void setMonitoringDashboardType(MonitoringDashboardType monitoringDashboardType)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.